xdr_inline_decode
Prev | SUN RPC subsystem | Next

## Name

xdr_inline_decode — Retrieve non-page XDR data to decode

## Synopsis

`__be32 * xdr_inline_decode (` | struct xdr_stream * | xdr,
| size_t | nbytes`)`;

## Arguments

`xdr`

  pointer to xdr_stream struct

`nbytes`

  number of bytes of data to decode

## Description

Check if the input buffer is long enough to enable us to decode 'nbytes' more bytes of data starting at the current position. If so return the current pointer, then update the current pointer position.

Prev | Up | Next
xdr_init_decode | Home | xdr_read_pages